#include "wfdisplay.h"


WFDisplay::WFDisplay(QWidget *parent) :
    QWidget(parent)
{
    waveforms_LAYOUT = new QVBoxLayout;

    spwTabWidget = new QTabWidget;

    page_f0 = new WFPage();
    page_f1 = new WFPage();
    page_f2 = new WFPage();
    page_f3 = new WFPage();

    spwTabWidget->addTab(page_f0, tr("f0 (24576 Hz)"));
    spwTabWidget->addTab(page_f1, tr("f1 (4096 Hz"));
    spwTabWidget->addTab(page_f2, tr("f2 (256 Hz)"));
    spwTabWidget->addTab(page_f3, tr("f3 (16 Hz)"));

    waveforms_LAYOUT->addWidget(spwTabWidget);

    this->setLayout(waveforms_LAYOUT);

}

void WFDisplay::displayOnPlot(short *data, unsigned char num_page, unsigned char num)
{
    QVector<double> x(XMAX), y(XMAX);

    for (int i=0; i<XMAX; ++i)
    {
        x[i] = i;
        y[i] = (double) data[i];
    }
    switch(num_page){
        case 0:
            page_f0->displayOnPlot(data, num);
            break;
        case 1:
            page_f1->displayOnPlot(data, num);
            break;
        case 2:
            page_f2->displayOnPlot(data, num);
            break;
        case 3:
            page_f3->displayOnPlot(data, num);
            break;
    }

}
